package ru.yandex.webmaster3.viewer.http.promo;

import ru.yandex.webmaster3.core.util.json.polymorphic.Polymorphic;

/**
 * Created by Oleg Bazdyrev on 02/07/2018.
 * Общий предок для всех возможных тизеров
 */
public abstract class AbstractHostTeaser implements Polymorphic<HostTeaserType> {

    private final HostTeaserType type;

    protected AbstractHostTeaser(HostTeaserType type) {
        this.type = type;
    }

    @Override
    public HostTeaserType getType() {
        return type;
    }
}
